<template>
  <div class="project-section project-stats-section">
    <div class="col-12 col-xl-6 offset-xl-3">
      <div class="row">
        <div class="col-12 col-md-6">
          <div class="stats-block color-1">
            <i class="icon fas fa-bug"></i>
            <div class="metric" @click="$router.push({name: 'Issues', query: {project: project.id}})">
              <div class="number">{{project.issues.length}}</div>
              <div class="text">Issues</div>
            </div>
            <div class="submetrics">
              <div class="submetric" @click="$router.push({name: 'Issues', query: {assignee: user.id, project: project.id}})">
                <div class="number">{{project.issues.filter(issue => issue.assignees.map(assignee => assignee.user).includes(user.id)).length}}</div>
                <div class="text">assigned to me</div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12 col-md-6">
          <div
            class="stats-block color-2 clickable"
            @click="
              $router.push({ name: 'Repositories', params: { id: project.id } })
            ">
            <i class="icon fas fa-server"></i>
            <div class="metric">
              <div class="number">{{ project.repositories.length }}</div>
              <div class="text">Repositories</div>
            </div>
            <div class="submetrics">
              <div class="submetric">
                <div class="number">1.8</div>
                <div class="text">gb total</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import {mapState} from "vuex";
export default {
  computed: mapState('userModule', ['user']),
  props: {
    project: {
      required: true
    }
  }
};
</script>

<style lang="scss">
.project-stats-section {
  .stats-block {
    width: 100%;
    height: 150px;
    background-color: white;
    border-radius: 8px;
    margin-bottom: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    overflow: hidden;
    &.clickable:hover {
      cursor: pointer;
    }
    .icon {
      position: absolute;
      bottom: -10px;
      right: -10px;
      font-size: 125px;
      color: rgba(0, 0, 0, 0.05);
    }
    .metric {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      flex-basis: 50%;
      color:white;

      &:hover{
        cursor:pointer;
        text-decoration: underline;
      }
      .number {
        color: white;
        font-weight: 700;
        font-size: 35px;
      }
      .text {
        color: white;
        font-weight: 600;
        font-size: 18px;
      }
    }
    .submetrics {
      flex: 1;
      display: flex;
      flex-direction: column;
      justify-content: center;
      .submetric {
        display: flex;
        align-items: center;
        margin-top: 5px;
        margin-bottom: 5px;
        color:white;
        &:hover{
          cursor:pointer;
          text-decoration: underline;
        }
        .number {
          font-size: 27px;
          font-weight: 700;
          color: white;
          margin-right: 15px;
        }
        .text {
          font-size: 16px;
          font-weight: 600;
          color: white;
        }
      }
    }
    &.color-1 {
      background-image: radial-gradient(
        circle farthest-corner at 10% 20%,
        rgba(253, 193, 104, 1) 0%,
        rgba(251, 128, 128, 1) 90%
      );
    }
    &.color-2 {
      background-image: linear-gradient(
        115.7deg,
        rgba(3, 79, 135, 1) 6.2%,
        rgba(0, 184, 214, 1) 112.9%
      );
    }
  }
}
</style>
